### Signal

# SpiceClientGLib UsbDeviceManager::device-error

#### Declaration

    void
    device_error (
      SpiceUsbDeviceManager* self,
      SpiceUsbDevice* device,
      GError* error,
      gpointer user_data
    )

#### Description [src]

The `SpiceUsbDeviceManager::device-error` signal is emitted whenever an error happens which causes a device to no longer be available to the guest.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  `SpiceUsbDevice` boxed object corresponding to the device which has an error.

  The data is owned by the caller of the function.

`error`

  Type: `GError`

  `GError` describing the error.

  The data is owned by the caller of the function.